Subject: Re: egcs vs gcc
From: Mumit Khan <[email-masked]>
To: Aldo Mazzilli <[email-masked]>
Cc: [email-masked]
Date: Fri, 23 Apr 1999 10:25:45 -0500

Mumit Khan <[email-masked]> writes:
> On Fri, 23 Apr 1999, Aldo Mazzilli wrote:
> > 
> > And, I have to choose the compiler between EGCS and GCC.
> > I just want your advice concerning the best choose I can do between EGCS
> > and GCC.
> > 
> > My choose must depend on :
> > - reexamination degree of the compiler
> > - security degree of the compiler
> > - efficiency of produced code
> > - size of produced code
> 
> Cygwin code is always going to be a bit less efficient that Mingw code
> simply because of the emulation layer. Whether it's acceptable or not
> depends on what your application does! For floating point intensive code,
> Cygwin's math library provided by newlib is not that great, and you'll
> get faster results (and fewer bugs) with MS runtime.

Ahem, I should really answer the question asked instead of making one up ;-) 
My apologies.

FSF GCC aka GCC2 is dead, and the development on it has ceased. If you wait 
a few days, you will see the announcement that EGCS is going to become the 
next generation of FSF GCC -- GCC3. 

*Do not* pick FSF GCC 2.8.x no matter what others may tell you. This is
especially true on x86-win32 targets.

Regards,
Mumit

--
Want to unsubscribe from this list?
Send a message to [email-masked]